# -*-perl-*-
#
# $Id$
#
# Random number generators
#
# (c) 2004 Straylight/Edgeware
#

#----- Licensing notice -----------------------------------------------------
#
# This file is part of the Perl interface to Catacomb.
#
# Catacomb/Perl is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Catacomb/Perl is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Catacomb/Perl; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#----- Random number generators ---------------------------------------------

package Catacomb;
use Catacomb::Base;

foreach my $i (qw(True Fib LC DSA RC4 SEAL MGF Counter OFB Magic)) {
  @{"Catacomb::Rand::${i}::ISA"} = qw(Catacomb::Rand);
}

$Catacomb::random = Catacomb::Rand::True->_global();
$Catacomb::random->noisesrc();
$Catacomb::random->seed(160);

#----- That's all, folks ----------------------------------------------------

1;
